/***** GENERAL *****/


/***** ALL PAGES *****/
.bookacti-nav-tab-wrapper { margin-bottom: 16px !important; }
.bookacti-tip  {
	position: relative;
	vertical-align: middle;
	padding: 0 10px;
}
#tiptip_content {
    color: #fff;
    font-size: .9em;
    max-width: 200px;
    background: #333;
    text-align: center;
    border-radius: 3px;
    padding: 0.5em 1em;
    box-shadow: 0 1px 3px rgba( 0, 0, 0, 0.2 );
}


/***** CALENDAR *****/
/** EVENTS **/
.bookacti-hidden-event    { display: none; }

.bookacti-available-places.bookacti-booked, 
.bookacti-available-places.bookacti-not-booked,
.bookacti-available-places.bookacti-full, 
.bookacti-available-places.bookacti-no-availability,
#bookacti-template-calendar .bookacti-available-places.bookacti-booked { color: #fff; }

#bookacti-template-calendar .bookacti-available-places.bookacti-booked, 
#bookacti-template-calendar .bookacti-available-places.bookacti-not-booked		{ background-color: #4ead3b; }
#bookacti-template-calendar .bookacti-available-places.bookacti-full, 
#bookacti-template-calendar .bookacti-available-places.bookacti-no-availability	{ background-color: #ab3b3b; }
#bookacti-template-calendar .bookacti-available-places.bookacti-booked			{ background-color: #e39102; }


/***** SETTINGS *****/
#bookacti-settings input:not([type='submit']):not([type='checkbox']):not([type='radio']):not([type='button']):not(.button), 
#bookacti-settings textarea, 
#bookacti-settings select { min-width: 300px; }

#bookacti-settings textarea { min-height: 100px; }

#bookacti_refund_actions,
#bookacti_refund_actions .bookacti_checkbox	{ display: inline-block; }
#bookacti_refund_actions .bookacti_checkbox	{ margin: 5px 0; }
#bookacti_refund_actions .bookacti_checkbox label { margin-right: 5px; }

.bookacti-settings-table		{ max-width: 800px; border-collapse: collapse; border: 1px solid #e5e5e5; background-color: #fff; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.04); box-shadow: 0 1px 1px rgba(0,0,0,.04); }
.bookacti-settings-table th		{ text-align: left; padding: 10px; border-bottom: 1px solid #e1e1e1; }
.bookacti-settings-table td		{ vertical-align: middle; padding: 5px 10px; }
.bookacti-settings-table tbody tr:nth-child( 2n+1 )	{ background-color: #f9f9f9; }
.bookacti-settings-table a		{ text-decoration: none; font-weight: bold; }
.bookacti-settings-table img	{ max-height: 24px; max-width: 24px; }

.bookacti-settings-table .dashicons-yes:before	{ color: #3cb371; }
.bookacti-settings-table .dashicons-no:before	{ color: #cd5c5c; }

#bookacti-notifications-list-column-active			{ width: 1px; }
.bookacti-notifications-list-column-value-active	{ text-align: center; }

#bookacti-banp-promo				{ max-width: 500px; margin-top: 20px; }
.bookacti-notifications-tag-promo	{ background: #ffff78; }

.bookacti-notifications-tags-list .bookacti-notifications-tag { margin-bottom: 8px; }
.bookacti-notifications-tag code { font-weight: normal; font-size: 0.8em; }

.bookacti-message-setting		{ margin-bottom: 20px; }
.bookacti-message-setting input	{ margin-top: 6px; }

/** DIALOGS **/
.input-warning  { border-color: #d80 !important; }
.input-error    { border-color: #f00 !important; }
.form-error		{ color: #f00; font-style: italic; }
.form-warning	{ color: orange; font-style: italic; }
.error-exception{ color: orange; }

.bookacti-backend-dialog { display: none; }

.bookacti-backend-dialog fieldset          { border: 1px solid #bbb; -webkit-border-radius: 6px; border-radius: 6px; padding: 10px; }
.bookacti-backend-dialog fieldset legend   { margin: auto; }

.bookacti-backend-dialog input[type='text']	{ width: 150px; }
.bookacti-backend-dialog input[type='date']	{ width: 150px; }
.bookacti-backend-dialog input[type='number']	{ width: 80px; }
.bookacti-backend-dialog textarea			{ width: 100%; height: 50px; text-align: left; }

.bookacti-lang-switcher { margin-bottom: 10px; }



/* Tabs */
.bookacti-tabs .bookacti-tab-content label:not(.bookacti-onoffswitch-label) { display: inline-block; width: 150px; font-weight: bold; }
.bookacti-tabs .bookacti-tab-content label.bookacti-fullwidth-label			{ width: 100%; }
.bookacti-tabs .bookacti-tab-content input[type='checkbox'] + label:not(.bookacti-onoffswitch-label) { display: inline; width: auto; }
.bookacti-tabs .bookacti-tab-content .bookacti-checkbox-group div { display: inline-block; margin-right: 20px; }
.bookacti-tabs .bookacti-tab-content div { margin-bottom: 10px; }
.bookacti-tabs .bookacti-tab-content div.bookacti-display-inline-block { display: inline-block; }
.bookacti-tabs .bookacti-tab-content div:last-child { margin-bottom: 0; }



/* On/off switch */
.bookacti-onoffswitch {
    display: inline-block;
	position: relative; top: 5px; width: 40px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
.bookacti-onoffswitch-checkbox {
    display: none !important;
}
.bookacti-onoffswitch-label {
    display: block; overflow: hidden; cursor: pointer;
    border: 2px solid #4D4D4D; border-radius: 50px;
}
.bookacti-onoffswitch-inner {
    display: block; width: 200%; margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}
.bookacti-onoffswitch-inner:before, .bookacti-onoffswitch-inner:after {
    display: block; float: left; width: 50%; height: 10px; padding: 0; line-height: 10px;
    font-size: 14px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
    box-sizing: border-box;
}
.bookacti-onoffswitch-inner:before {
    content: "";
    padding-left: 10px;
    background-color: #EEEEEE; color: #FFFFFF;
}
.bookacti-onoffswitch-inner:after {
    content: "";
    padding-right: 10px;
    background-color: #EEEEEE; color: #999999;
    text-align: right;
}
.bookacti-onoffswitch-switch {
    display: block; width: 20px; margin: -5px;
    background: #4D4D4D;
    position: absolute; top: 0; bottom: 0;
    right: 26px;
    border: 2px solid #EEE; border-radius: 50px;
    transition: all 0.3s ease-in 0s; 
}
.bookacti-onoffswitch-checkbox:checked + .bookacti-onoffswitch-label .bookacti-onoffswitch-inner {
    margin-left: 0;
}
.bookacti-onoffswitch-checkbox:checked + .bookacti-onoffswitch-label .bookacti-onoffswitch-switch {
    right: 0px; 
    background-color: #27A1CA; 
}
.bookacti-onoffswitch.bookacti-disabled .bookacti-onoffswitch-label	{ border: 2px solid #bbb; }
.bookacti-onoffswitch.bookacti-disabled .bookacti-onoffswitch-switch	{ background: #bbb; }
.bookacti-onoffswitch.bookacti-disabled .bookacti-onoffswitch-checkbox:checked + .bookacti-onoffswitch-label .bookacti-onoffswitch-switch { background-color: #a8cbd6; }
